Source: logback
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: tony mancill <tmancill@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 groovy,
 libgeronimo-jms-1.1-spec-java,
 libjanino-java (>= 2.6.0),
 libjansi-java,
 libjetty9-java (>= 9.4),
 libmail-java,
 libmaven-antrun-plugin-java,
 libmaven-bundle-plugin-java,
 libmaven-javadoc-plugin-java,
 libservlet-api-java,
 libslf4j-java (>= 1.7.18),
 libtomcat9-java,
 maven-debian-helper
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/java-team/logback.git
Vcs-Browser: https://salsa.debian.org/java-team/logback
Homepage: https://logback.qos.ch

Package: liblogback-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}
Description: flexible logging library for Java
 Logback is a reliable, generic, fast and flexible logging library for Java.
 It's intended as a successor to the popular log4j project.
 .
 The logback-core module lays the groundwork for the other two modules.
 .
 The logback-classic module can be assimilated to a significantly improved
 version of log4j. Moreover, logback-classic natively implements the SLF4J API
 so that you can readily switch back and forth between logback and other
 logging systems such as log4j or java.util.logging (JUL).
 .
 The logback-access module integrates with Servlet containers, such as Tomcat
 and Jetty, to provide HTTP-access log functionality.

Package: liblogback-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${maven:DocDepends}
Suggests: ${maven:DocOptionalDepends}
Description: flexible logging library for Java - documentation
 Logback is a reliable, generic, fast and flexible logging library for Java.
 It's intended as a successor to the popular log4j project.
 .
 The logback-core module lays the groundwork for the other two modules.
 .
 The logback-classic module can be assimilated to a significantly improved
 version of log4j. Moreover, logback-classic natively implements the SLF4J API
 so that you can readily switch back and forth between logback and other
 logging systems such as log4j or java.util.logging (JUL).
 .
 The logback-access module integrates with Servlet containers, such as Tomcat
 and Jetty, to provide HTTP-access log functionality.
 .
 This package provides the API documentation and manual for Logback.
